<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package rallypro
 */
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div class="comment">
	<h3 class="comments-title"><?php comments_number( '', 'One Comment', 'Comments' ); ?></h3>

		<?php the_comments_navigation(); ?>
		<ul class="list-unstyled">
	    <?php
	        wp_list_comments( array(
	            'style'         => 'ul',
	            'short_ping'    => true,
	            'avatar_size'   => '64',
	            'walker'        => new Bootstrap_Comment_Walker(),
	        ) );
	    ?>
		</ul><!-- .comment-list -->
		<?php the_comments_navigation(); ?>

</div><!-- /.end of comment -->

<?php
// Are there comments to navigate through?
// If comments are closed and there are comments, let's leave a little note, shall we?
if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
?>
<p class="no-comments"><?php esc_html_e( 'Comments are closed.' , 'rallypro'); ?></p>
<?php endif; ?>
<?php  get_template_part('template-parts/comment-arg'); ?>