<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package rallypro
 */

 get_header();

//Catch Customizer value
	$journal_title = get_theme_mod('journal_head', '');
	$journal_description = get_theme_mod('journal_description', '');


  ?>

	<!-- ============================ Start journal-head Section ============================ -->

	<header id="journal-head" class="text-center" <?php if ( has_header_image() ) { ?> style="background-image: url('<?php echo( esc_url( get_header_image() ) ); ?>'); <?php } ?>">
		<div <?php if ( has_header_image() ) { ?> class="journal-head-overlay" <?php } ?>>
			<div class="container">
				<div class="journal-head-content animated wow slideInDown">
					<div class="section-heading">
		                <h1 class="journal-title"><?php 
		                	if( $journal_title !== '' ) : 

		                		echo esc_html($journal_title);

		                	else:

		                		bloginfo( 'name' ); 

		                	endif;?></h1>

		                <p class="journal-desc"><?php 

		                	if( $journal_description !== '' ) : 

		                		echo esc_html($journal_description);

		                	else:

		                        echo wp_kses_post( get_bloginfo ( 'description' ) );
		                	
		                	endif;?></p>
					</div><!-- /.section-heading -->
				</div><!-- /.journal-head-content -->
			</div><!-- /.container -->
		</div><!-- /.journal-head-overlay -->
	</header><!-- /#journal-head -->

	<!-- ============================ Start journal Section ============================ -->

	<section id="journal">
		<div class="container">
			<div class="row">
				<div class="<?php echo esc_attr( rallypro_content_layout()); ?>">

					<?php if( have_posts() ): while( have_posts() ): the_post(); 

						if( get_theme_mod( 'layout_options','' ) == 'full-width'){
							get_template_part( 'template-parts/content-full-width');  // for displaying post full width
						}else{
							get_template_part( 'template-parts/content');  // for displaying post with sidebar
						}

						 endwhile;

						 else:
						 get_template_part( 'template-parts/content', 'none' ); // if post not found

					 endif; ?>
					<div class="blog-pagination">
						<?php previous_posts_link('<i class="ion ion-arrow-left-a"></i> ' . esc_html__('previous page' , 'rallypro')); ?>
						<div class="pull-right">
							<?php next_posts_link(esc_html__('next page' , 'rallypro') . ' <i class="ion ion-arrow-right-a"></i>'); ?>
						</div>
					</div><!-- /.pagination -->
				</div><!-- /.col-md-8 -->
				<?php get_sidebar(); ?>
			</div><!-- /.row -->
		</div><!-- /.container -->
	</section><!-- /#journal -->
<?php get_footer(); ?>